Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ast
Interface JavaParserTreeConstants

All Known Implementing Classes:
  JavaParser

public interface JavaParserTreeConstants

Field Summary
`static int` | `JJTADDITIVEEXPRESSION`
`static int` | `JJTALLOCATIONEXPRESSION`
`static int` | `JJTANDEXPRESSION`
`static int` | `JJTANNOTATION`
`static int` | `JJTANNOTATIONTYPEBODY`
`static int` | `JJTANNOTATIONTYPEDECLARATION`
`static int` | `JJTANNOTATIONTYPEMEMBERDECLARATION`
`static int` | `JJTARGUMENTLIST`
`static int` | `JJTARGUMENTS`
`static int` | `JJTARRAYDIMSANDINITS`
`static int` | `JJTARRAYINITIALIZER`
`static int` | `JJTASSERTSTATEMENT`
`static int` | `JJTASSIGNMENTOPERATOR`
`static int` | `JJTBLOCK`
`static int` | `JJTBLOCKSTATEMENT`
`static int` | `JJTBOOLEANLITERAL`
`static int` | `JJTBREAKSTATEMENT`
`static int` | `JJTCASTEXPRESSION`
`static int` | `JJTCASTLOOKAHEAD`
`static int` | `JJTCATCHSTATEMENT`
`static int` | `JJTCLASSORINTERFACEBODY`
`static int` | `JJTCLASSORINTERFACEBODYDECLARATION`
`static int` | `JJTCLASSORINTERFACEDECLARATION`
`static int` | `JJTCLASSORINTERFACETYPE`
`static int` | `JJTCOMPILATIONUNIT`
`static int` | `JJTCONDITIONALANDEXPRESSION`
`static int` | `JJTCONDITIONALEXPRESSION`
`static int` | `JJTCONDITIONALOREXPRESSION`
`static int` | `JJTCONSTRUCTORDECLARATION`
`static int` | `JJTCONTINUESTATEMENT`
`static int` | `JJTDEFAULTVALUE`
`static int` | `JJTDOSTATEMENT`
`static int` | `JJTEMPTYSTATEMENT`
`static int` | `JJTENUMBODY`
`static int` | `JJTENUMCONSTANT`
`static int` | `JJTENUMDECLARATION`
`static int` | `JJTEQUALITYEXPRESSION`
`static int` | `JJTEXCLUSIVEOREXPRESSION`
`static int` | `JJTEXPLICITCONSTRUCTORINVOCATION`
`static int` | `JJTEXPRESSION`
`static int` | `JJTEXTENDSLIST`
`static int` | `JJTFIELDDECLARATION`
`static int` | `JJTFINALLYSTATEMENT`
`static int` | `JJTFORINIT`
`static int` | `JJTFORMALPARAMETER`
`static int` | `JJTFORMALPARAMETERS`
`static int` | `JJTFORSTATEMENT`
`static int` | `JJTFORUPDATE`
`static int` | `JJTIFSTATEMENT`
`static int` | `JJTIMPLEMENTSLIST`
`static int` | `JJTIMPORTDECLARATION`
`static int` | `JJTINCLUSIVEOREXPRESSION`
`static int` | `JJTINITIALIZER`
`static int` | `JJTINSTANCEOFEXPRESSION`
`static int` | `JJTLABELEDSTATEMENT`
`static int` | `JJTLITERAL`
`static int` | `JJTLOCALVARIABLEDECLARATION`
`static int` | `JJTMARKERANNOTATION`
`static int` | `JJTMEMBERSELECTOR`
`static int` | `JJTMEMBERVALUE`
`static int` | `JJTMEMBERVALUEARRAYINITIALIZER`
`static int` | `JJTMEMBERVALUEPAIR`
`static int` | `JJTMEMBERVALUEPAIRS`
`static int` | `JJTMETHODDECLARATION`
`static int` | `JJTMETHODDECLARATOR`
`static int` | `JJTMULTIPLICATIVEEXPRESSION`
`static int` | `JJTNAME`
`static int` | `JJTNAMELIST`
`static java.lang.String[]` | `jjtNodeName`
`static int` | `JJTNORMALANNOTATION`
`static int` | `JJTNULLLITERAL`
`static int` | `JJTPACKAGEDECLARATION`
`static int` | `JJTPOSTFIXEXPRESSION`
`static int` | `JJTPREDECREMENTEXPRESSION`
`static int` | `JJTPREINCREMENTEXPRESSION`
`static int` | `JJTPRIMARYEXPRESSION`
`static int` | `JJTPRIMARYPREFIX`
`static int` | `JJTPRIMARYSUFFIX`
`static int` | `JJTPRIMITIVETYPE`
`static int` | `JJTREFERENCETYPE`
`static int` | `JJTRELATIONALEXPRESSION`
`static int` | `JJTRESULTTYPE`
`static int` | `JJTRETURNSTATEMENT`
`static int` | `JJTRSIGNEDSHIFT`
`static int` | `JJTRUNSIGNEDSHIFT`
`static int` | `JJTSHIFTEXPRESSION`
`static int` | `JJTSINGLEMEMBERANNOTATION`
`static int` | `JJTSTATEMENT`
`static int` | `JJTSTATEMENTEXPRESSION`
`static int` | `JJTSTATEMENTEXPRESSIONLIST`
`static int` | `JJTSWITCHLABEL`
`static int` | `JJTSWITCHSTATEMENT`
`static int` | `JJTSYNCHRONIZEDSTATEMENT`
`static int` | `JJTTHROWSTATEMENT`
`static int` | `JJTTRYSTATEMENT`
`static int` | `JJTTYPE`
`static int` | `JJTTYPEARGUMENT`
`static int` | `JJTTYPEARGUMENTS`
`static int` | `JJTTYPEBOUND`
`static int` | `JJTTYPEDECLARATION`
`static int` | `JJTTYPEPARAMETER`
`static int` | `JJTTYPEPARAMETERS`
`static int` | `JJTUNARYEXPRESSION`
`static int` | `JJTUNARYEXPRESSIONNOTPLUSMINUS`
`static int` | `JJTVARIABLEDECLARATOR`
`static int` | `JJTVARIABLEDECLARATORID`
`static int` | `JJTVARIABLEINITIALIZER`
`static int` | `JJTVOID`
`static int` | `JJTWHILESTATEMENT`
`static int` | `JJTWILDCARDBOUNDS`

Field Detail

### JJTCOMPILATIONUNIT

    public static final int JJTCOMPILATIONUNIT

See Also:
  Constant Field Values

### JJTPACKAGEDECLARATION

    public static final int JJTPACKAGEDECLARATION

See Also:
  Constant Field Values

### JJTIMPORTDECLARATION

    public static final int JJTIMPORTDECLARATION

See Also:
  Constant Field Values

### JJTVOID

    public static final int JJTVOID

See Also:
  Constant Field Values

### JJTTYPEDECLARATION

    public static final int JJTTYPEDECLARATION

See Also:
  Constant Field Values

### JJTCLASSORINTERFACEDECLARATION

    public static final int JJTCLASSORINTERFACEDECLARATION

See Also:
  Constant Field Values

### JJTEXTENDSLIST

    public static final int JJTEXTENDSLIST

See Also:
  Constant Field Values

### JJTIMPLEMENTSLIST

    public static final int JJTIMPLEMENTSLIST

See Also:
  Constant Field Values

### JJTENUMDECLARATION

    public static final int JJTENUMDECLARATION

See Also:
  Constant Field Values

### JJTENUMBODY

    public static final int JJTENUMBODY

See Also:
  Constant Field Values

### JJTENUMCONSTANT

    public static final int JJTENUMCONSTANT

See Also:
  Constant Field Values

### JJTTYPEPARAMETERS

    public static final int JJTTYPEPARAMETERS

See Also:
  Constant Field Values

### JJTTYPEPARAMETER

    public static final int JJTTYPEPARAMETER

See Also:
  Constant Field Values

### JJTTYPEBOUND

    public static final int JJTTYPEBOUND

See Also:
  Constant Field Values

### JJTCLASSORINTERFACEBODY

    public static final int JJTCLASSORINTERFACEBODY

See Also:
  Constant Field Values

### JJTCLASSORINTERFACEBODYDECLARATION

    public static final int JJTCLASSORINTERFACEBODYDECLARATION

See Also:
  Constant Field Values

### JJTFIELDDECLARATION

    public static final int JJTFIELDDECLARATION

See Also:
  Constant Field Values

### JJTVARIABLEDECLARATOR

    public static final int JJTVARIABLEDECLARATOR

See Also:
  Constant Field Values

### JJTVARIABLEDECLARATORID

    public static final int JJTVARIABLEDECLARATORID

See Also:
  Constant Field Values

### JJTVARIABLEINITIALIZER

    public static final int JJTVARIABLEINITIALIZER

See Also:
  Constant Field Values

### JJTARRAYINITIALIZER

    public static final int JJTARRAYINITIALIZER

See Also:
  Constant Field Values

### JJTMETHODDECLARATION

    public static final int JJTMETHODDECLARATION

See Also:
  Constant Field Values

### JJTMETHODDECLARATOR

    public static final int JJTMETHODDECLARATOR

See Also:
  Constant Field Values

### JJTFORMALPARAMETERS

    public static final int JJTFORMALPARAMETERS

See Also:
  Constant Field Values

### JJTFORMALPARAMETER

    public static final int JJTFORMALPARAMETER

See Also:
  Constant Field Values

### JJTCONSTRUCTORDECLARATION

    public static final int JJTCONSTRUCTORDECLARATION

See Also:
  Constant Field Values

### JJTEXPLICITCONSTRUCTORINVOCATION

    public static final int JJTEXPLICITCONSTRUCTORINVOCATION

See Also:
  Constant Field Values

### JJTINITIALIZER

    public static final int JJTINITIALIZER

See Also:
  Constant Field Values

### JJTTYPE

    public static final int JJTTYPE

See Also:
  Constant Field Values

### JJTREFERENCETYPE

    public static final int JJTREFERENCETYPE

See Also:
  Constant Field Values

### JJTCLASSORINTERFACETYPE

    public static final int JJTCLASSORINTERFACETYPE

See Also:
  Constant Field Values

### JJTTYPEARGUMENTS

    public static final int JJTTYPEARGUMENTS

See Also:
  Constant Field Values

### JJTTYPEARGUMENT

    public static final int JJTTYPEARGUMENT

See Also:
  Constant Field Values

### JJTWILDCARDBOUNDS

    public static final int JJTWILDCARDBOUNDS

See Also:
  Constant Field Values

### JJTPRIMITIVETYPE

    public static final int JJTPRIMITIVETYPE

See Also:
  Constant Field Values

### JJTRESULTTYPE

    public static final int JJTRESULTTYPE

See Also:
  Constant Field Values

### JJTNAME

    public static final int JJTNAME

See Also:
  Constant Field Values

### JJTNAMELIST

    public static final int JJTNAMELIST

See Also:
  Constant Field Values

### JJTEXPRESSION

    public static final int JJTEXPRESSION

See Also:
  Constant Field Values

### JJTASSIGNMENTOPERATOR

    public static final int JJTASSIGNMENTOPERATOR

See Also:
  Constant Field Values

### JJTCONDITIONALEXPRESSION

    public static final int JJTCONDITIONALEXPRESSION

See Also:
  Constant Field Values

### JJTCONDITIONALOREXPRESSION

    public static final int JJTCONDITIONALOREXPRESSION

See Also:
  Constant Field Values

### JJTCONDITIONALANDEXPRESSION

    public static final int JJTCONDITIONALANDEXPRESSION

See Also:
  Constant Field Values

### JJTINCLUSIVEOREXPRESSION

    public static final int JJTINCLUSIVEOREXPRESSION

See Also:
  Constant Field Values

### JJTEXCLUSIVEOREXPRESSION

    public static final int JJTEXCLUSIVEOREXPRESSION

See Also:
  Constant Field Values

### JJTANDEXPRESSION

    public static final int JJTANDEXPRESSION

See Also:
  Constant Field Values

### JJTEQUALITYEXPRESSION

    public static final int JJTEQUALITYEXPRESSION

See Also:
  Constant Field Values

### JJTINSTANCEOFEXPRESSION

    public static final int JJTINSTANCEOFEXPRESSION

See Also:
  Constant Field Values

### JJTRELATIONALEXPRESSION

    public static final int JJTRELATIONALEXPRESSION

See Also:
  Constant Field Values

### JJTSHIFTEXPRESSION

    public static final int JJTSHIFTEXPRESSION

See Also:
  Constant Field Values

### JJTADDITIVEEXPRESSION

    public static final int JJTADDITIVEEXPRESSION

See Also:
  Constant Field Values

### JJTMULTIPLICATIVEEXPRESSION

    public static final int JJTMULTIPLICATIVEEXPRESSION

See Also:
  Constant Field Values

### JJTUNARYEXPRESSION

    public static final int JJTUNARYEXPRESSION

See Also:
  Constant Field Values

### JJTPREINCREMENTEXPRESSION

    public static final int JJTPREINCREMENTEXPRESSION

See Also:
  Constant Field Values

### JJTPREDECREMENTEXPRESSION

    public static final int JJTPREDECREMENTEXPRESSION

See Also:
  Constant Field Values

### JJTUNARYEXPRESSIONNOTPLUSMINUS

    public static final int JJTUNARYEXPRESSIONNOTPLUSMINUS

See Also:
  Constant Field Values

### JJTCASTLOOKAHEAD

    public static final int JJTCASTLOOKAHEAD

See Also:
  Constant Field Values

### JJTPOSTFIXEXPRESSION

    public static final int JJTPOSTFIXEXPRESSION

See Also:
  Constant Field Values

### JJTCASTEXPRESSION

    public static final int JJTCASTEXPRESSION

See Also:
  Constant Field Values

### JJTPRIMARYEXPRESSION

    public static final int JJTPRIMARYEXPRESSION

See Also:
  Constant Field Values

### JJTMEMBERSELECTOR

    public static final int JJTMEMBERSELECTOR

See Also:
  Constant Field Values

### JJTPRIMARYPREFIX

    public static final int JJTPRIMARYPREFIX

See Also:
  Constant Field Values

### JJTPRIMARYSUFFIX

    public static final int JJTPRIMARYSUFFIX

See Also:
  Constant Field Values

### JJTLITERAL

    public static final int JJTLITERAL

See Also:
  Constant Field Values

### JJTBOOLEANLITERAL

    public static final int JJTBOOLEANLITERAL

See Also:
  Constant Field Values

### JJTNULLLITERAL

    public static final int JJTNULLLITERAL

See Also:
  Constant Field Values

### JJTARGUMENTS

    public static final int JJTARGUMENTS

See Also:
  Constant Field Values

### JJTARGUMENTLIST

    public static final int JJTARGUMENTLIST

See Also:
  Constant Field Values

### JJTALLOCATIONEXPRESSION

    public static final int JJTALLOCATIONEXPRESSION

See Also:
  Constant Field Values

### JJTARRAYDIMSANDINITS

    public static final int JJTARRAYDIMSANDINITS

See Also:
  Constant Field Values

### JJTSTATEMENT

    public static final int JJTSTATEMENT

See Also:
  Constant Field Values

### JJTLABELEDSTATEMENT

    public static final int JJTLABELEDSTATEMENT

See Also:
  Constant Field Values

### JJTBLOCK

    public static final int JJTBLOCK

See Also:
  Constant Field Values

### JJTBLOCKSTATEMENT

    public static final int JJTBLOCKSTATEMENT

See Also:
  Constant Field Values

### JJTLOCALVARIABLEDECLARATION

    public static final int JJTLOCALVARIABLEDECLARATION

See Also:
  Constant Field Values

### JJTEMPTYSTATEMENT

    public static final int JJTEMPTYSTATEMENT

See Also:
  Constant Field Values

### JJTSTATEMENTEXPRESSION

    public static final int JJTSTATEMENTEXPRESSION

See Also:
  Constant Field Values

### JJTSWITCHSTATEMENT

    public static final int JJTSWITCHSTATEMENT

See Also:
  Constant Field Values

### JJTSWITCHLABEL

    public static final int JJTSWITCHLABEL

See Also:
  Constant Field Values

### JJTIFSTATEMENT

    public static final int JJTIFSTATEMENT

See Also:
  Constant Field Values

### JJTWHILESTATEMENT

    public static final int JJTWHILESTATEMENT

See Also:
  Constant Field Values

### JJTDOSTATEMENT

    public static final int JJTDOSTATEMENT

See Also:
  Constant Field Values

### JJTFORSTATEMENT

    public static final int JJTFORSTATEMENT

See Also:
  Constant Field Values

### JJTFORINIT

    public static final int JJTFORINIT

See Also:
  Constant Field Values

### JJTSTATEMENTEXPRESSIONLIST

    public static final int JJTSTATEMENTEXPRESSIONLIST

See Also:
  Constant Field Values

### JJTFORUPDATE

    public static final int JJTFORUPDATE

See Also:
  Constant Field Values

### JJTBREAKSTATEMENT

    public static final int JJTBREAKSTATEMENT

See Also:
  Constant Field Values

### JJTCONTINUESTATEMENT

    public static final int JJTCONTINUESTATEMENT

See Also:
  Constant Field Values

### JJTRETURNSTATEMENT

    public static final int JJTRETURNSTATEMENT

See Also:
  Constant Field Values

### JJTTHROWSTATEMENT

    public static final int JJTTHROWSTATEMENT

See Also:
  Constant Field Values

### JJTSYNCHRONIZEDSTATEMENT

    public static final int JJTSYNCHRONIZEDSTATEMENT

See Also:
  Constant Field Values

### JJTTRYSTATEMENT

    public static final int JJTTRYSTATEMENT

See Also:
  Constant Field Values

### JJTCATCHSTATEMENT

    public static final int JJTCATCHSTATEMENT

See Also:
  Constant Field Values

### JJTFINALLYSTATEMENT

    public static final int JJTFINALLYSTATEMENT

See Also:
  Constant Field Values

### JJTASSERTSTATEMENT

    public static final int JJTASSERTSTATEMENT

See Also:
  Constant Field Values

### JJTRUNSIGNEDSHIFT

    public static final int JJTRUNSIGNEDSHIFT

See Also:
  Constant Field Values

### JJTRSIGNEDSHIFT

    public static final int JJTRSIGNEDSHIFT

See Also:
  Constant Field Values

### JJTANNOTATION

    public static final int JJTANNOTATION

See Also:
  Constant Field Values

### JJTNORMALANNOTATION

    public static final int JJTNORMALANNOTATION

See Also:
  Constant Field Values

### JJTMARKERANNOTATION

    public static final int JJTMARKERANNOTATION

See Also:
  Constant Field Values

### JJTSINGLEMEMBERANNOTATION

    public static final int JJTSINGLEMEMBERANNOTATION

See Also:
  Constant Field Values

### JJTMEMBERVALUEPAIRS

    public static final int JJTMEMBERVALUEPAIRS

See Also:
  Constant Field Values

### JJTMEMBERVALUEPAIR

    public static final int JJTMEMBERVALUEPAIR

See Also:
  Constant Field Values

### JJTMEMBERVALUE

    public static final int JJTMEMBERVALUE

See Also:
  Constant Field Values

### JJTMEMBERVALUEARRAYINITIALIZER

    public static final int JJTMEMBERVALUEARRAYINITIALIZER

See Also:
  Constant Field Values

### JJTANNOTATIONTYPEDECLARATION

    public static final int JJTANNOTATIONTYPEDECLARATION

See Also:
  Constant Field Values

### JJTANNOTATIONTYPEBODY

    public static final int JJTANNOTATIONTYPEBODY

See Also:
  Constant Field Values

### JJTANNOTATIONTYPEMEMBERDECLARATION

    public static final int JJTANNOTATIONTYPEMEMBERDECLARATION

See Also:
  Constant Field Values

### JJTDEFAULTVALUE

    public static final int JJTDEFAULTVALUE

See Also:
  Constant Field Values

### jjtNodeName

    public static final java.lang.String[] jjtNodeName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.